io.vertx.groovy.core

## Class Vertx_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.Vertx_GroovyExtension

-     public class Vertx_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Vertx_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DatagramSocket` | `createDatagramSocket(Vertx j_receiver, Map<String,Object> options)`
    `static HttpClient` | `createHttpClient(Vertx j_receiver, Map<String,Object> options)`
    `static HttpServer` | `createHttpServer(Vertx j_receiver, Map<String,Object> options)`
    `static NetClient` | `createNetClient(Vertx j_receiver, Map<String,Object> options)`
    `static NetServer` | `createNetServer(Vertx j_receiver, Map<String,Object> options)`
    `static void` | `deployVerticle(Vertx j_receiver, String name, Map<String,Object> options)`
    `static void` | `deployVerticle(Vertx j_receiver, String name, Map<String,Object> options, Handler<AsyncResult<String>> completionHandler)`
    `static <T> void` | `executeBlocking(Vertx j_receiver, Handler<Future<Object>> blockingCodeHandler, boolean ordered, Handler<AsyncResult<Object>> resultHandler)`
    `static <T> void` | `executeBlocking(Vertx j_receiver, Handler<Future<Object>> blockingCodeHandler, Handler<AsyncResult<Object>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Vertx_GroovyExtension

          public Vertx_GroovyExtension()

  - ### Method Detail

    - #### createNetServer

          public static NetServer createNetServer(Vertx j_receiver,
                                                  Map<String,Object> options)

    - #### createNetClient

          public static NetClient createNetClient(Vertx j_receiver,
                                                  Map<String,Object> options)

    - #### createHttpServer

          public static HttpServer createHttpServer(Vertx j_receiver,
                                                    Map<String,Object> options)

    - #### createHttpClient

          public static HttpClient createHttpClient(Vertx j_receiver,
                                                    Map<String,Object> options)

    - #### createDatagramSocket

          public static DatagramSocket createDatagramSocket(Vertx j_receiver,
                                                            Map<String,Object> options)

    - #### deployVerticle

          public static void deployVerticle(Vertx j_receiver,
                                            String name,
                                            Map<String,Object> options)

    - #### deployVerticle

          public static void deployVerticle(Vertx j_receiver,
                                            String name,
                                            Map<String,Object> options,
                                            Handler<AsyncResult<String>> completionHandler)

    - #### executeBlocking

          public static <T> void executeBlocking(Vertx j_receiver,
                                                 Handler<Future<Object>> blockingCodeHandler,
                                                 boolean ordered,
                                                 Handler<AsyncResult<Object>> resultHandler)

    - #### executeBlocking

          public static <T> void executeBlocking(Vertx j_receiver,
                                                 Handler<Future<Object>> blockingCodeHandler,
                                                 Handler<AsyncResult<Object>> resultHandler)

Copyright © 2017. All rights reserved.